#!/usr/bin/env bash

function log() {
    echo -e "\033[33m$@\033[0m"
}

./fetch_resources.sh
./import_rules.sh

# TODO Fetch 'em
log "Reading PTR records…"
pv ptr.json.gz | gunzip | ./feed_dns.py
log "Reading A records…"
pv a.json.gz | gunzip | ./feed_dns.py
log "Reading CNAME records…"
pv cname.json.gz | gunzip | ./feed_dns.py

log "Pruning old data…"
./database.py --prune

./filter_subdomains.sh

